These are chat archives for ensime/ensime-maven

7th
Jun 2017
Andrew Gaydenko
@gaydenko
Jun 07 2017 20:25

Hi! On ensime server starting (from emacs) I get

You are using a .ensime file format that is no longer supported.
You must upgrade your build tool or downgrade to ensime stable.
See http://ensime.org/editors/emacs/install

with

<build>
  <pluginGroups>
    <pluginGroup>org.ensime.maven.plugins</pluginGroup>
  </pluginGroups>
</build>

in .m2/settings.xml. The thing is I can not switch ensime-emacs to stable branch (too many things to change/reconfigure).

How to resolve? Is it possible to generate .ensime for ensime-server 2.0.x branch?